Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml.representer
Class BaseRepresenter

    java.lang.Object
      org.yaml.snakeyaml.representer.BaseRepresenter

Direct Known Subclasses:
  Representer

    public abstract class BaseRepresenter

extends Object

Represent basic YAML structures: scalar, sequence, mapping

Field Summary
`protected DumperOptions.FlowStyle` | `defaultFlowStyle`
`protected Map<Class<?>,Represent>` | `multiRepresenters`
`protected Represent` | `nullRepresenter` in Java 'null' is not a type.
`protected Object` | `objectToRepresent`
`protected Map<Object,Node>` | `representedObjects`
`protected Map<Class<?>,Represent>` | `representers`

Constructor Summary
`BaseRepresenter()`

Method Summary
`DumperOptions.FlowStyle` | `getDefaultFlowStyle()`
`PropertyUtils` | `getPropertyUtils()`
`boolean` | `isExplicitPropertyUtils()`
`Node` | `represent(Object data)`
`protected Node` | `representData(Object data)`
`protected Node` | `representMapping(Tag tag, Map<? extends Object,Object> mapping, Boolean flowStyle)`
`protected Node` | `representScalar(Tag tag, String value)`
`protected Node` | `representScalar(Tag tag, String value, Character style)`
`protected Node` | `representSequence(Tag tag, Iterable<? extends Object> sequence, Boolean flowStyle)`
`void` | `setDefaultFlowStyle(DumperOptions.FlowStyle defaultFlowStyle)`
`void` | `setDefaultScalarStyle(DumperOptions.ScalarStyle defaultStyle)`
`void` | `setPropertyUtils(PropertyUtils propertyUtils)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### representers

    protected final Map<Class<?>,Represent> representers

### nullRepresenter

    protected Represent nullRepresenter

  in Java 'null' is not a type. So we have to keep the null representer separately otherwise it will coincide with the default representer which is stored with the key null.

### multiRepresenters

    protected final Map<Class<?>,Represent> multiRepresenters

### defaultFlowStyle

    protected DumperOptions.FlowStyle defaultFlowStyle

### representedObjects

    protected final Map<Object,Node> representedObjects

### objectToRepresent

    protected Object objectToRepresent

Constructor Detail

### BaseRepresenter

    public BaseRepresenter()

Method Detail

### represent

    public Node represent(Object data)

### representData

    protected final Node representData(Object data)

### representScalar

    protected Node representScalar(Tag tag,
                                   String value,
                                   Character style)

### representScalar

    protected Node representScalar(Tag tag,
                                   String value)

### representSequence

    protected Node representSequence(Tag tag,
                                     Iterable<? extends Object> sequence,
                                     Boolean flowStyle)

### representMapping

    protected Node representMapping(Tag tag,
                                    Map<? extends Object,Object> mapping,
                                    Boolean flowStyle)

### setDefaultScalarStyle

    public void setDefaultScalarStyle(DumperOptions.ScalarStyle defaultStyle)

### setDefaultFlowStyle

    public void setDefaultFlowStyle(DumperOptions.FlowStyle defaultFlowStyle)

### getDefaultFlowStyle

    public DumperOptions.FlowStyle getDefaultFlowStyle()

### setPropertyUtils

    public void setPropertyUtils(PropertyUtils propertyUtils)

### getPropertyUtils

    public final PropertyUtils getPropertyUtils()

### isExplicitPropertyUtils

    public final boolean isExplicitPropertyUtils()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.